<script setup lang="ts">
import { type Post } from '@/models'
import CreateForm from '@/components/CreateForm.vue'
import Panel from 'primevue/panel'

type Props = {
  posts: Post[];
}

defineProps<Props>()

</script>

<template>
  <div class="post" v-for="post in posts">
    <Panel :header="post.title" collapsed toggleable>
      <h2>{{post.title}}</h2>
      {{post.body}}
    </Panel>
  </div>

</template>

<style scoped>
.post {
  margin-bottom: 20px;
}
</style>
